org.apache.ignite.internal.processors.rest

## Interface GridRestProtocol

All Known Implementing Classes:
  GridRestProtocolAdapter, GridTcpRestProtocol

    public interface GridRestProtocol

REST protocol.

### Method Summary

All Methods Instance Methods Abstract Methods
`Collection<IgniteBiTuple<String,Object>>` `getProperties()` Returns protocol properties for setting node attributes.
`String` `name()`
`void` `onKernalStart()` Grid start callback.
`void` `start(GridRestProtocolHandler hnd)` Starts protocol.
`void` `stop()` Stops protocol.

### Method Detail

#### name

    String name()

Returns:
  Protocol name.

#### getProperties

    Collection<IgniteBiTuple<String,Object>> getProperties()

Returns protocol properties for setting node attributes. Has meaningful result only after protocol start.

Returns:
  Protocol properties.

#### start

    void start(GridRestProtocolHandler hnd)
        throws IgniteCheckedException

Starts protocol.

Parameters:
  `hnd` - Command handler.
Throws:
  `IgniteCheckedException` - If failed.

#### onKernalStart

    void onKernalStart()

Grid start callback.

#### stop

    void stop()

Stops protocol.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020